Bug 5322 - pwgen not a dependency for the packages
Summary: pwgen not a dependency for the packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All Linux
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-29 01:31 UTC by Robin Sheat
Modified: 2010-12-09 03:26 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (887 bytes, patch)
2010-10-30 01:16 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2010-10-29 01:31:33 UTC
The packages require pwgen to be installed, but it's not included in the package control.in source.
Comment 1 Robin Sheat 2010-10-30 01:16:52 UTC
Created attachment 2712 [details] [review]
Proposed patch
Comment 2 MJ Ray (software.coop) 2010-11-15 10:07:19 UTC
This bug is mentioned in:
Bug 5322 - Added pwgen dependency http://lists.koha-community.org/pipermail/koha-patches/2010-October/012762.html
Bug 5322 - Added pwgen	dependency http://lists.koha-community.org/pipermail/koha-patches/2010-October/012763.html
Comment 3 Chris Nighswonger 2010-11-18 03:15:27 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 4 Chris Nighswonger 2010-11-30 13:49:34 UTC
This bug has a fix which was committed to the 3.2.x branch and released in 3.2.1.

Please take time to update the status of this bug and mark it RESOLVED FIXED so that it may be closed.
Comment 5 Robin Sheat 2010-12-09 03:16:17 UTC
Confirmed fixed.
Comment 6 Chris Nighswonger 2010-12-09 03:26:16 UTC
Closing. Fix pushed to HEAD and included in 3.2.1 release.